
-- --------------------------------------------------------
--    

DROP TABLE IF EXISTS `USERS`;
CREATE TABLE `USERS` (
  `id` int(10) unsigned NOT NULL auto_increment, --  
  `user_name` varchar(25) NOT NULL, --   
  `password` varchar(32) NOT NULL, --   ,  md5() 
  `email` varchar(100) NOT NULL default '', --   
  `registration_time` int(10) unsigned NOT NULL, --     
  `last_answer_time` int(10) unsigned NOT NULL, --       
  `last_answer_un` varchar(16) NOT NULL default '', --        
  `answers` int(10) unsigned NOT NULL default '0', --    
  `moderator` tinyint(1) unsigned NOT NULL default '0', --   (1)   (0).
  `ban`  int(10) unsigned NOT NULL default '0', --      (0- )
  PRIMARY KEY  (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=cp1251;



-- --------------------------------------------------------
--   () .

DROP TABLE IF EXISTS `TOPICS`;
CREATE TABLE `TOPICS` (
  `id` int(10) unsigned NOT NULL auto_increment, --   
  `title` varchar(100) NOT NULL, --    
  `answers` int(10) unsigned NOT NULL default '0', --     
  `updated_unixtime` int(10) unsigned NOT NULL, --      
  `moderated` char(1) NOT NULL default '', --     
--  : D -  , V- , Q- 
  PRIMARY KEY  (`id`),
  KEY `updated_unixtime` (`updated_unixtime`)
) ENGINE=InnoDB DEFAULT CHARSET=cp1251;



-- --------------------------------------------------------
--   ()   . 
--     TOPICS
--          ,    
--     ,    "".

DROP TABLE IF EXISTS `ARCHIVE_TOPICS`;
CREATE TABLE `ARCHIVE_TOPICS` (
  `id` int(10) unsigned NOT NULL auto_increment, --    
  `title` varchar(100) NOT NULL, --    
  `answers` int(10) unsigned NOT NULL default '0', --     
  `updated_unixtime` int(10) unsigned NOT NULL, --      
  `moderated` char(1) NOT NULL default '', --     
--  : X -    , V- , Q- 
  PRIMARY KEY  (`id`),
  KEY `updated_unixtime` (`updated_unixtime`)
) ENGINE=InnoDB DEFAULT CHARSET=cp1251;



-- --------------------------------------------------------
--   

DROP TABLE IF EXISTS `MESSAGES`;
CREATE TABLE `MESSAGES` (
  `id` int(10) unsigned NOT NULL, --  
  `topic_id` int(10) unsigned NOT NULL, --  
  `message_text` text NOT NULL, --   (     htmlspecialchars).
  `user_id` int(10) unsigned NOT NULL default '0',--   
  `user_name` varchar(25) NOT NULL, --   
  `updated_unixtime` int(10) unsigned NOT NULL, --   
  `moderated` char(1) NOT NULL default '', --   : D -  , H-  
  `changed` tinyint(1) unsigned NOT NULL default '0', --   

  KEY `topic_messages` (`topic_id`,`id`)
) ENGINE=InnoDB DEFAULT CHARSET=cp1251;


-- --------------------------------------------------------
--    ().
--     MESSAGES

DROP TABLE IF EXISTS `ARCHIVE_MESSAGES`;
CREATE TABLE `ARCHIVE_MESSAGES` (
  `id` int(10) unsigned NOT NULL, --  
  `topic_id` int(10) unsigned NOT NULL, --  
  `message_text` text NOT NULL, --   (     htmlspecialchars).
  `user_id` int(10) unsigned NOT NULL default '0', --   
  `user_name` varchar(25) NOT NULL, --   
  `updated_unixtime` int(10) unsigned NOT NULL, --   
  `moderated` char(1) NOT NULL default '', --   :  -  
  `changed` tinyint(1) unsigned NOT NULL default '0', --   
  KEY `topic_messages` (`topic_id`,`id`)
) ENGINE=InnoDB DEFAULT CHARSET=cp1251;



-- --------------------------------------------------------
--       

DROP TABLE IF EXISTS `SEARCH`;
CREATE TABLE `SEARCH` (
  `topic_id` int(10) unsigned NOT NULL, --  
  `title` varchar(100) NOT NULL, --  
  `answers` int(10) unsigned NOT NULL default '0', --      
  `full_text` text NOT NULL, --       
  FULLTEXT KEY `full_text` (`full_text`)
) ENGINE=MyISAM DEFAULT CHARSET=cp1251;



-- --------------------------------------------------------

--      
--     SEARCH,     .

DROP TABLE IF EXISTS `ARCHIVE_SEARCH`;
CREATE TABLE `ARCHIVE_SEARCH` (
  `topic_id` int(10) unsigned NOT NULL, --  
  `title` varchar(100) NOT NULL, --  
  `answers` int(10) unsigned NOT NULL default '0', --      
  `full_text` text NOT NULL, --       
  FULLTEXT KEY `full_text` (`full_text`)
) ENGINE=MyISAM DEFAULT CHARSET=cp1251;


-- --------------------------------------------------------

-- 
--  (, ) 
-- 

DROP TABLE IF EXISTS `HISTORY`;
CREATE TABLE `HISTORY` (
  `id` int(10) unsigned NOT NULL auto_increment, --  
  `topic_id` int(10) unsigned NOT NULL, --  
  `message_id` int(10) unsigned NOT NULL default '0', --  
  `user_id` int(10) unsigned NOT NULL default '0', --   
  `user_name` varchar(25) NOT NULL,--  
  `updated_unixtime` int(10) unsigned NOT NULL, --   
  `message_text` text NOT NULL,--  
  `event` char(1) NOT NULL default '',--  : D-, U-, -, H-, R-
  PRIMARY KEY  (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=cp1251;

        


-- --------------------------------------------------------

-- 
--   ( )
-- 

DROP TABLE IF EXISTS `X_MAIL`;
CREATE TABLE `X_MAIL` (
  `id` int(10) unsigned NOT NULL,
  `from_id` int(10) unsigned NOT NULL,
  `from_name` varchar(25) NOT NULL,
  `to_id` int(10) unsigned NOT NULL,
  `to_name` varchar(25) NOT NULL,
  `message_text` text NOT NULL,
  `read` tinyint(1) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `not_read` (`to_id`,`read`)
) ENGINE=InnoDB DEFAULT CHARSET=cp1251;
        

-- --------------------------------------------------------

-- 
--    
-- 

DROP TABLE IF EXISTS `SEARCH_QUEUE`;
CREATE TABLE `SEARCH_QUEUE` (
  `topic_id` int(10) unsigned NOT NULL,
  `updated_unixtime` int(10) unsigned NOT NULL,
  PRIMARY KEY  (`topic_id`)
) ENGINE=InnoDB DEFAULT CHARSET=cp1251;
